CC=gcc
CFLAGS=-Wall -Wextra -Werror -fsanitize=address -g

SRCS=main.c dlist.c dlist_merge_sort.c
OBJS=$(SRCS:.c=.o)
TARGET=dlist_merge_sort

all: $(TARGET)

$(TARGET): $(OBJS)
	$(CC) $(CFLAGS) -o $@ $(OBJS)

clean:
	$(RM) $(OBJS) $(TARGET)
